Bug 18716 - "remember as my default query" doesn't save Sort By option
Summary: "remember as my default query" doesn't save Sort By option
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
(Show other bugs)
Version: 3.2
Hardware: All Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-09 14:54 UTC by Daniel Roesen
Modified: 2013-06-24 04:18 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 19:33:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to allow default query to set search order if no order cookie (v1) (1.41 KB, patch)
2008-08-28 20:10 UTC, David Lawrence
nelhawar: review+
Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 171126 None None None Never

Description Daniel Roesen 2000-10-09 14:54:22 UTC
Summary says it all. Sort By: is not restored as part of the default query 
options.

Comment 1 David Lawrence 2006-04-08 18:10:52 UTC
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.

Comment 2 David Lawrence 2008-08-28 20:06:30 UTC
This is still a problem in 3.2.

Comment 3 David Lawrence 2008-08-28 20:10:12 UTC
Created attachment 315292 [details]
Patch to allow default query to set search order if no order cookie (v1)

Hey Noura. Please review this small patch to allow search order that is stored in the default query string to set the order if LASTORDER cookie doesn't exist.

Dave

Comment 4 Kevin Baker 2008-08-28 21:40:50 UTC
could this be submitted upstream too? seems generally useful.

Comment 5 Noura El hawary 2008-08-30 04:39:42 UTC
Comment on attachment 315292 [details]
Patch to allow default query to set search order if no order cookie (v1)

Hey Dave,

Patch looks good to me.

Noura

Comment 6 David Lawrence 2008-10-03 19:33:30 UTC
Already reported upstream. Submitted patch for review.

https://bugzilla.mozilla.org/show_bug.cgi?id=171126

Dave

Comment 7 David Lawrence 2008-10-03 19:33:55 UTC
Commited to CVS. Will be available in the next Bugzilla update.

Dave


Note You need to log in before you can comment on or make changes to this bug.